Subject: Re: [bug#39777] [PATCH V3 04/11] gnu: python-jsonschema: Update to 3.2.0.

From: Leo Famulari <[email-masked]>
Date: Sat, 14 Mar 2020 13:33:56 -0400

On Fri, Mar 13, 2020 at 09:45:41AM +0100, Tanguy Le Carrour wrote:
> So, I'm left with the same question:
>  - why does it fail with `No module named jsonschema`? and with a second one

I'm not sure, I'm not that strong with Python.

>  - why wasn't I able to reproduce the error from the build directory?!

There are lots of things that could have changed.

First, I would use `guix environment --pure` to try isolating the rest
of the system, beginning to approximate the build chroot. You could even
try `guix environment --container` if your system supports it.

Second, the tests might be idempotent.

You'll have a hard time reproducing the build environment exactly but
it's usually possible to figure out why the test is failing.